Re: [AD] Preparing 4.2.1, issues |
[ Thread Index |
Date Index
| More lists.liballeg.org/allegro-developers Archives
]
> You forgot to attach.
I hate when I do that... I've grown used to kmail warning when I almost do
that... I'm not sure why it didn't this time. Attached now.
Evert
--- misc/zipup.sh 2006-01-29 23:23:41.000000000 +0100
+++ ../zipup.sh 2006-01-29 23:23:08.000000000 +0100
@@ -25,6 +25,21 @@
name=$(echo "$1" | sed -e 's/.*[\\\/]//; s/\.zip//')
prev=$(echo "$2" | sed -e 's/.*[\\\/]//; s/\.zip//')
+# Check that the working directory is called `allegro'
+cdir=$(pwd | sed -e 's/.*[\\\/]//')
+if test $cdir != allegro; then
+ echo Current directory is not called allegro!
+ echo Trying to make a symlink...
+ if test -e "../allegro"; then
+ echo A file called ../allegro already exists. Please move it out of the way first.
+ exit 1
+ else
+ mkdir ../allegro
+ cp -r * ../allegro
+ cd ../allegro
+ fi
+fi
+
# make a datestamped archive if specified
if test $name = datestamp; then
date=`date '+%Y%m%d'`
@@ -184,7 +199,7 @@
if [ -f $1/tmpfile.txt ]; then rm $1/tmpfile.txt; fi
files=`echo $1/*`
- if [ "$files" = "$1/CVS" -o "$files" = "$1/cvs" -o "$files" = "$1/*" ]; then
+ if [ "$files" = "$1/.svn" -o "$files" = "$1/CVS" -o "$files" = "$1/cvs" -o "$files" = "$1/*" ]; then
echo "This file is needed because some unzip programs skip empty directories." > $1/tmpfile.txt
else
for file in $files; do
@@ -205,7 +220,7 @@
cd ..
if [ -f $name.zip ]; then rm $name.zip; fi
rm -rf allegro/autom4te*
-find allegro -iname "CVS" -prune -o -iname ".*" -prune -o -iname "*.rej" -prune -o -iname "*.orig" -prune -o -print | zip -9 $name.zip -@
+find allegro -iname ".svn" -prune -o -iname ".*" -prune -o -iname "*.rej" -prune -o -iname "*.orig" -prune -o -print | zip -9 $name.zip -@
# generate the manifest file
@@ -270,6 +285,9 @@
fi
+# Change back to previous directory
+cd ../$cdir
+rm -rf ../allegro
echo "Done!"
echo "Please note that your files are now in DOS format, so you might want"